//bridge-file-version: #17
{
	"format_version": "1.16.100",
	"minecraft:item": {
		"description": {
			"category": "equipment",
			"identifier": "sp:bone_crusher_shovel"
		},
		"components": {
			"minecraft:max_stack_size": 1,
			"minecraft:hand_equipped": true,
			"minecraft:durability": {
				"max_durability": 1561,
				"damage_chance": {
					"min": 5,
					"max": 10
				}
			},
			"minecraft:mining_speed": 1,
			"minecraft:damage": 6,
			"minecraft:enchantable": {
				"value": 10,
				"slot": "shovel"
			},
			"minecraft:digger": {
				"use_efficiency": true,
				"destroy_speeds": [
					{
						"block": {
							"tags": "q.any_tag('dirt', 'sand', 'gravel', 'grass', 'snow')"
						},
						"speed": 15,
						"on_dig": {
							"event": "dam"
						}
					},
					{
						"block": "minecraft:coarse_dirt",
						"speed": 15,
						"on_dig": {
							"event": "dam"
						}
					},
					{
						"block": "minecraft:clay",
						"speed": 15,
						"on_dig": {
							"event": "dam"
						}
					},
					{
						"block": "minecraft:concretePowder",
						"speed": 15,
						"on_dig": {
							"event": "dam"
						}
					},
					{
						"block": "minecraft:mycelium",
						"speed": 15,
						"on_dig": {
							"event": "dam"
						}
					},
					{
						"block": "minecraft:soul_sand",
						"speed": 15,
						"on_dig": {
							"event": "dam"
						}
					},
					{
						"block": "minecraft:soul_soil",
						"speed": 15,
						"on_dig": {
							"event": "dam"
						}
					}
				],
				"on_dig": {
					"event": "dam"
				}
			},
			"tag:minecraft:is_shovel": {},
			"minecraft:display_name": {
				"value": "Bone Crusher Shovel"
			},
			"minecraft:weapon": {
				"on_hurt_entity": {
					"event": "dam"
				}
			},
			"minecraft:icon": {
				"texture": "bone_crusher_shovel"
			},
			"minecraft:creative_category": {
				"parent": "itemGroup.name.shovel"
			},
			"minecraft:repairable": {
				"repair_items": [
					{
						"items": [
							"sp:bone_relic"
						],
						"repair_amount": 500
					},
					{
						"items": [
							"sp:bone_crusher_shovel"
						],
						"repair_amount": 1561
					}
				]
			}
		},
		"events": {
			"dam": {
				"damage": {
					"type": "magic",
					"amount": 1,
					"target": "self"
				}
			}
		}
	}
}